if (GetDeviceData!='') {
	HdmiAudioGetAllJson(GetDeviceData);
}

function HdmiAudioGetAllJson(jsonArr){
	var _jsonArr = eval('('+jsonArr+')');
	// error function
	if (_jsonArr.result.error.length>0) {	     
	    for (var i = 0; i < _jsonArr.result.error.length; i++) {
	       (function(ii){
	        	var _id = _jsonArr.result.error[i].device_id;
	        	var _arr1 = _data.videoswitching_decode_arr.split(',');
	        	var _arr2 = _data.videoswitching_encode_arr.split(',');
	        	var _number;
	        	var _type;
	        				
	        	for (var j = 0; j < _arr1.length; j++) {
	        		(function(jj){	        						
	        			if (_arr1[j]==_id) {
		        			_data.videoswitching_decode_arr = _data.videoswitching_decode_arr.replace(_id,'');                   	                    
		        			DecodeDetaileDataArr[j]='';
		        			Decode_HdmiAudio_DataArr[j]='';
		        			$('.IPAV1100HdmiAudioRxCont li:eq('+(j+1)+')').html('');
							$('.IPAV1100HdmiAudioRxCont li:eq('+(j+1)+')').removeClass('deviceBoxHasDevice');
		        		}
	        		})(j);
	        	}
	        	for (var k = 0; k < _arr2.length; k++) {
	        		(function(kk){
	        			if (_arr2[kk]==_id) {
	        				_data.videoswitching_encode_arr = _data.videoswitching_encode_arr.replace(_id,'');
	        				EncodeDetaileDataArr[kk]='';
		        			Encode_HdmiAudio_DataArr[kk]='';	
		        			$('.IPAV1100HdmiAudioTxCont li:eq('+(kk)+')').html('');
							$('.IPAV1100HdmiAudioTxCont li:eq('+(kk)+')').removeClass('deviceBoxHasDevice');	        			
		        		}
	        		})(k);
	        	}	        				
	        })(i);
	    }
	}
	// 
	if(_jsonArr.result.devices.length>0){
	    for (var i = 0; i < _jsonArr.result.devices.length; i++) {
	        (function(ii){	
	        	if (parseInt(_jsonArr.result.devices[ii].identity.vendor_id)!=115) {
	    			console.log(_jsonArr.result.devices[ii].device_id+':'+_jsonArr.result.devices[ii].identity.firmware_comment);
	    			
	    		}
	    		else {
	    			if (VideoDeviceArr[ii]!=_jsonArr.result.devices[ii]) {
		    			VideoDeviceArr[ii]=_jsonArr.result.devices[ii];
		    			HdmiAudioGetData(_jsonArr.result.devices[ii]);
				        GetDeviceDetaileData(_jsonArr.result.devices[ii]);	
		    		}
		    			
			        
	    		}
				    
			})(i);
		}
		// AddEventListen(5);
		// AddEventListen(6);
	}
}
function HdmiAudioGetData(_json) {
	var hostname = checkReceiveJsonDataToString(_json.nodes,'nodes','type','NETWORK_INTERFACE','configuration.hostname');
	var ipaddress = checkReceiveJsonDataToString(_json.nodes,'nodes','type','NETWORK_INTERFACE','configuration.ip.address');

	if (_json.identity.is_receiver) {
		var address = checkReceiveJsonDataToString(_json.subscriptions,'subscriptions','type','HDMI_AUDIO','configuration.address');
		//var display_mode = checkReceiveJsonDataToString(_json,'nodes','type','FRAME_BUFFER','configuration.display_mode');
		var display_mode = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','inputs[0].configuration.source.value');
		
		if (display_mode==0) {
			display_mode = 0;			
		}
		else if(display_mode==1){
			display_mode = checkReceiveJsonDataToString(_json.nodes,'nodes','type','FRAME_BUFFER','configuration.display_mode');
		}
		var state = checkReceiveJsonDataToString(_json.subscriptions,'subscriptions','type','HDMI_AUDIO','status.state');
		//_json,'nodes','type','FRAME_BUFFER','configuration.width'
		var width = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.width');
		// _json,'nodes','type','FRAME_BUFFER','configuration.height'
		var height = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.height');
		// _json,'nodes','type','FRAME_BUFFER','configuration.frames_per_second'
		var frames_per_second = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.frames_per_second');
		// _json,'nodes','type','FRAME_BUFFER','status.source_video.color_space'
		var color_space = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.color_space');
		// _json,'nodes','type','FRAME_BUFFER','status.source_video.bits_per_pixel'
		var bits_per_pixel = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.bits_per_pixel');
		var hdcp_version = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.hdcp_version');
		var display_connect = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_MONITOR','status.connected');
		checkDecodeHdmiAudioDisplay(_json.device_id,_json.identity.is_receiver,hostname,ipaddress,_json.identity.firmware_version,
						display_mode,address,state,width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,display_connect);
		
	}else if (_json.identity.is_transmitter) {
		var address = checkReceiveJsonDataToString(_json.streams,'streams','type','HDMI_AUDIO','configuration.address');
		var state = checkReceiveJsonDataToString(_json.streams,'streams','type','HDMI_AUDIO','status.state');
		var width = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.width');
		var height = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.height');
		var frames_per_second = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.frames_per_second');
		var color_space = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.color_space');
		var bits_per_pixel = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.bits_per_pixel');
		var hdcp_version = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.hdcp_version');
		// console.log(address+state);
		checkDecodeHdmiAudioDisplay(_json.device_id,_json.identity.is_receiver,hostname,ipaddress,_json.identity.firmware_version,
						'display_mode',address,state,width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version);
		
	}

	//console.log(GetTxDeviceNum);

}

// 检测该数据流的类型 TX or RX,并且写入device模块
function checkDecodeHdmiAudioDisplay(device_id,is_receiver,hostname,
	ip,firmware_version,display_mode,multicast_address,statu,
	width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,display_connect){
	if (is_receiver) {
		checkDataIsInArr(is_receiver,device_id);
		checkDecodeHdmiAudioDataIsChange(device_id,hostname,
					ip,firmware_version,display_mode,multicast_address,statu,
					width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,display_connect);		
	} 
	else{
		checkDataIsInArr(is_receiver,device_id);
		checkEncodeHdmiAudioDataIsChange(device_id,hostname,
					ip,firmware_version,multicast_address,statu,
					width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version);		
	}
}

// 检测decode数据是否变动
function checkDecodeHdmiAudioDataIsChange(device_id,hostname,
	ip,firmware_version,display_mode,multicast_address,statu,
	width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,display_connect){

	var _arr = _data.videoswitching_decode_arr.split(',');
	var _num;

	for (var i = 0; i <_arr.length; i++) {
		(function(ii){
			if (_arr[ii]==device_id) {
				_num=ii;
			}
		})(i);
	}
	// var titleinfoDecodeArr = stringToArray(titleinfoDecode,1);
	if (typeof(Decode_HdmiAudio_DataArr[_num])=='undefined'||Decode_HdmiAudio_DataArr[_num].length==0) {	
		if (typeof(Decode_HdmiAudio_DataArr[_num])=='undefined') {
			Decode_HdmiAudio_DataArr[_num]=[];
		}
		
				$('.IPAV1100HdmiAudioRxCont li:eq('+_num+')').attr('id','DeviceDecodePositionID'+_num);
				$('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').attr('class','decodeencodeexist');
				// $('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').attr('ondragover','exp1(event)');
				// $('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').attr('ondrop','deviceToChangePosition(event)');
				// $('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').attr('draggable','true');
				// $('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').attr('ondragstart','DecodeExpstart(event)');				
				var addData = "<div class='DeviceBoxNavTop'>\
									<span>"+hostname+"</span>\
									<a class='DeviceBoxNavTopStatus'></a>\
									<a class='DeviceBoxNavTopSetting'></a>\
									<a class='DeviceBoxNavTopStop' style='background: none;'></a>\
									<a class='DeviceBoxNavTopLocked'></a>\
								</div>\
								<div class='DeviceBoxCont'>\
									<div class='DeviceBoxContOnceDisplay'>\
										<div class='HdmiAudioDeviceBoxContOnceDisplayImg'></div>\
										<div class='DeviceBoxContOnceDisplayInfo'>\
											<span>"+ width + "x" + height +"</span>\
											<span>"+ frames_per_second +"Hz</span>\
											<span>"+ color_space + "," + bits_per_pixel + "Bit</span>\
										</div>\
									</div>\
								</div>\
								<div class='DeviceBoxBottom'>\
									<div class='DeviceBoxBottomDataScroll'>\
										<span>"+ ip +"-"+ (display_mode==0?'Genlock':display_mode) +"</span>\
										<img src='images/deviceBoxBottomIco.png'>\
									</div>\
									<div class='DeviceBoxBottomDataDetail'>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Hostname:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ hostname +"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>IP:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ip+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>MAC:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+device_id+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Firmware:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>v"+firmware_version+"</span>\
										</div>\
									</div>\
								</div>";
				$('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').html(addData);
				$('.IPAV1100HdmiAudioRxCont li:eq('+(_num+1)+')').addClass('deviceBoxHasDevice');
				AddEventListen(5);
            _checkLoadingType=1;
        
	}
	if (Decode_HdmiAudio_DataArr[_num][0] != hostname||
		Decode_HdmiAudio_DataArr[_num][1] != device_id||
		Decode_HdmiAudio_DataArr[_num][2] != ip||
		Decode_HdmiAudio_DataArr[_num][3] != firmware_version||
		Decode_HdmiAudio_DataArr[_num][4] != display_mode||
		Decode_HdmiAudio_DataArr[_num][5] != multicast_address||
		Decode_HdmiAudio_DataArr[_num][6] != statu||
		Decode_HdmiAudio_DataArr[_num][7] != width||
		Decode_HdmiAudio_DataArr[_num][8] != height||
		Decode_HdmiAudio_DataArr[_num][9] != frames_per_second||
		Decode_HdmiAudio_DataArr[_num][10] != color_space||
		Decode_HdmiAudio_DataArr[_num][11] != bits_per_pixel||
		Decode_HdmiAudio_DataArr[_num][12] !=hdcp_version||
		Decode_HdmiAudio_DataArr[_num][13] !=display_connect) {
			if (typeof(Decode_HdmiAudio_DataArr[_num])=='string') {
				Decode_HdmiAudio_DataArr[_num] = [];
			}
			checkRoutingTableChange = 1;
			Decode_HdmiAudio_DataArr[_num][0]=hostname;
			Decode_HdmiAudio_DataArr[_num][1]=device_id;
			Decode_HdmiAudio_DataArr[_num][2]=ip;
			Decode_HdmiAudio_DataArr[_num][3]=firmware_version;
			Decode_HdmiAudio_DataArr[_num][4]=display_mode;
			Decode_HdmiAudio_DataArr[_num][5]=multicast_address;
			Decode_HdmiAudio_DataArr[_num][6]=statu;
			Decode_HdmiAudio_DataArr[_num][7]=width;
			Decode_HdmiAudio_DataArr[_num][8]=height;
			Decode_HdmiAudio_DataArr[_num][9]=frames_per_second;
			Decode_HdmiAudio_DataArr[_num][10]=color_space;
			Decode_HdmiAudio_DataArr[_num][11]=bits_per_pixel;
			Decode_HdmiAudio_DataArr[_num][12]=hdcp_version;
			Decode_HdmiAudio_DataArr[_num][13] =display_connect;
        if(1) {
        	
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(1)').html(hostname);
            var _device_id = stringToArray(device_id,2);

            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(5)').html((_device_id[0]+'-'+
            																						_device_id[1]+'-'+
            																						_device_id[2]+'-'+
            																						_device_id[3]+'-'+
            																						_device_id[4]+'-'+
            																						_device_id[5]).toLocaleUpperCase());
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(3)').html(ip);
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(7)').html('v' + firmware_version);
            var switchType;
            if (display_mode==0) {		
				switchType = 'Genlock';
			}
			else if(display_mode=='FAST_SWITCHED'||display_mode=='FAST_SWITCHED_CROP'||display_mode=='FAST_SWITCHED_STRETCH'){//fast switch full screen 
				switchType = 'Fast Switch';
			}
			else if(display_mode=='GENLOCK_SCALING'){//genlock scaling
				switchType = 'Genlock Scaling';
			}
			else if(display_mode=='WALL_GENLOCKED'){
				switchType = 'Wall Genlock';
			}
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataScroll span').html(ip+'-'+switchType);
            if (statu=='STREAMING') {
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStop').addClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStatus').addClass('DeviceBoxNavTopStatusStreaming');
            }
            else {
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStop').removeClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStatus').removeClass('DeviceBoxNavTopStatusStreaming');
            }
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(0)').html(width + "x" + height);
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(1)').html(frames_per_second + "Hz");
            $('.IPAV1100HdmiAudioRxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(2)').html(color_space + ',' + bits_per_pixel + 'Bit');
            
            if (!display_connect) {
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num+1) + ') .DeviceBoxContOnceDisplayImg').addClass('DeviceBoxContOnceDisplayImgNoDevice');
            }else{
            	$('.IPAV1100HdmiAudioRxCont li:eq(' + (_num+1) + ') .DeviceBoxContOnceDisplayImg').removeClass('DeviceBoxContOnceDisplayImgNoDevice');
            }
            ReloadPosition(3,1);
        }		
	}
}
// 检测encode数据是否变动
function checkEncodeHdmiAudioDataIsChange(device_id,hostname,
	ip,firmware_version,multicast_address,statu,
	width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version){
	var _arr = _data.videoswitching_encode_arr.split(',');
	var _num;
	for (var i = 0; i <_arr.length; i++) {
		(function(ii){
			if (_arr[ii]==device_id) {
				_num=ii;
			}
		})(i);
	}
	// var titleinfoEncodeArr = stringToArray(titleinfoEncode,1);
	if (typeof(Encode_HdmiAudio_DataArr[_num])=='undefined'||Encode_HdmiAudio_DataArr[_num].length==0) {
		if (typeof(Encode_HdmiAudio_DataArr[_num])=='undefined') {
			Encode_HdmiAudio_DataArr[_num]=[];
		}
        		$('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('id','DeviceEncodePositionID'+_num);
				$('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('class','decodeencodeexist');
				// $('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('draggable','true');
				// $('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('ondrop','deviceToChangePosition(event)');
				// $('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('ondragover','exp1(event)');
				// $('.IPAV1100HdmiAudioTxCont li:eq('+_num+')').attr('ondragstart','expstart(event)');
				var addData = "<div class='DeviceBoxNavTop'>\
									<span>"+hostname+"</span>\
									<a class='DeviceBoxNavTopStatus'></a>\
									<a class='DeviceBoxNavTopSetting'></a>\
									<a class='DeviceBoxNavTopStop'></a>\
									<a class='DeviceBoxNavTopLocked'></a>\
								</div>\
								<div class='DeviceBoxCont'>\
									<div class='DeviceBoxContOnceDisplay'>\
										<div class='HdmiAudioDeviceBoxContOnceDisplayImg'></div>\
										<div class='DeviceBoxContOnceDisplayInfo'>\
											<span>"+ width + "x" + height +"</span>\
											<span>"+ frames_per_second +"Hz</span>\
											<span>"+ color_space + "," + bits_per_pixel + "Bit</span>\
										</div>\
									</div>\
								</div>\
								<div class='DeviceBoxBottom'>\
									<div class='DeviceBoxBottomDataScroll'>\
										<span>"+ ip +"</span>\
										<img src='images/deviceBoxBottomIco.png'>\
									</div>\
									<div class='DeviceBoxBottomDataDetail'>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Hostname:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ hostname +"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>IP:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ip+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>MAC:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+device_id+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Firmware:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>v"+firmware_version+"</span>\
										</div>\
									</div>\
								</div>";
				$('.IPAV1100HdmiAudioTxCont li:eq('+(_num)+')').html(addData);
				$('.IPAV1100HdmiAudioTxCont li:eq('+(_num)+')').addClass('deviceBoxHasDevice');

           	AddEventListen(6);
           	_checkLoadingType = 1;

	}
	if (Encode_HdmiAudio_DataArr[_num][0] != hostname||
		Encode_HdmiAudio_DataArr[_num][1] != device_id||
		Encode_HdmiAudio_DataArr[_num][2] != ip||
		Encode_HdmiAudio_DataArr[_num][3] != firmware_version||
		Encode_HdmiAudio_DataArr[_num][4] != multicast_address||
		Encode_HdmiAudio_DataArr[_num][5] != statu||
		Encode_HdmiAudio_DataArr[_num][6] != width||
		Encode_HdmiAudio_DataArr[_num][7] != height||
		Encode_HdmiAudio_DataArr[_num][8] != frames_per_second||
		Encode_HdmiAudio_DataArr[_num][9] != color_space||
		Encode_HdmiAudio_DataArr[_num][10] != bits_per_pixel||
		Encode_HdmiAudio_DataArr[_num][11] != hdcp_version) {
			if (typeof(Encode_HdmiAudio_DataArr[_num])=='string') {
				Encode_HdmiAudio_DataArr[_num] = [];
			}
			checkRoutingTableChange = 1;
			Encode_HdmiAudio_DataArr[_num][0]=hostname;
			Encode_HdmiAudio_DataArr[_num][1]=device_id;
			Encode_HdmiAudio_DataArr[_num][2]=ip;
			Encode_HdmiAudio_DataArr[_num][3]=firmware_version;
			Encode_HdmiAudio_DataArr[_num][4]=multicast_address;
			Encode_HdmiAudio_DataArr[_num][5]=statu;
			Encode_HdmiAudio_DataArr[_num][6]=width;
			Encode_HdmiAudio_DataArr[_num][7]=height;
			Encode_HdmiAudio_DataArr[_num][8]=frames_per_second;
			Encode_HdmiAudio_DataArr[_num][9]=color_space;
			Encode_HdmiAudio_DataArr[_num][10]=bits_per_pixel;
			Encode_HdmiAudio_DataArr[_num][11]= hdcp_version;
        if(1) {
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxBottomDataDetail span:eq(1)').html(hostname);
            var _device_id = stringToArray(device_id,2);

            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxBottomDataDetail span:eq(5)').html((_device_id[0]+'-'+
            																						_device_id[1]+'-'+
            																						_device_id[2]+'-'+
            																						_device_id[3]+'-'+
            																						_device_id[4]+'-'+
            																						_device_id[5]).toLocaleUpperCase());
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxBottomDataDetail span:eq(3)').html(ip);
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxBottomDataDetail span:eq(7)').html('v' + firmware_version);
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxBottomDataScroll span').html(ip);
            if (statu=='STREAMING') {
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxNavTopStop').addClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxNavTopStatus').addClass('DeviceBoxNavTopStatusStreaming');
            }
            else {
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxNavTopStop').removeClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxNavTopStatus').removeClass('DeviceBoxNavTopStatusStreaming');
            }
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxContOnceDisplayInfo span:eq(0)').html(width + "x" + height);
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxContOnceDisplayInfo span:eq(1)').html(frames_per_second + "Hz");
            $('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxContOnceDisplayInfo span:eq(2)').html(color_space + ',' + bits_per_pixel + 'Bit');
            
            if (width=='0'&&height=='0') {
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxContOnceDisplayTxImg').addClass('DeviceBoxContOnceDisplayTxImgNoDevice');
            }else{
            	$('.IPAV1100HdmiAudioTxCont li:eq(' + (_num) + ') .DeviceBoxContOnceDisplayTxImg').removeClass('DeviceBoxContOnceDisplayTxImgNoDevice');
            }
            ReloadPosition(3,2);
        }
		
		
	}
}
